### Method

# Gtk CellArea attribute_connect

#### Declaration [src]

    void
    gtk_cell_area_attribute_connect (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* attribute,
      int column
    )

#### Description [src]

Connects an `attribute` to apply values from `column` for the `GtkTreeModel` in use.

#### Parameters

`renderer` | `GtkCellRenderer`
| The `GtkCellRenderer` to connect an attribute for.
| The data is owned by the caller of the function.
`attribute` | `const char*`
| The attribute name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`column` | `int`
| The `GtkTreeModel` column to fetch attribute values from.